summaryrefslogtreecommitdiff
path: root/test/runtest
diff options
context:
space:
mode:
Diffstat (limited to 'test/runtest')
-rwxr-xr-xtest/runtest10
1 files changed, 5 insertions, 5 deletions
diff --git a/test/runtest b/test/runtest
index 82ae480ce..64a8e7f37 100755
--- a/test/runtest
+++ b/test/runtest
@@ -4051,10 +4051,10 @@ DIR: for (my $i = 0; $i < @test_dirs; $i++)
{
if (!defined $parm_malware{$1}) { $wantthis = 0; last; }
}
- elsif (/^feature (.*)$/)
+ elsif (/^(not )?feature (.*)$/)
{
# move to a subroutine?
- my $eximinfo = "$parm_exim -C $parm_cwd/test-config -DDIR=$parm_cwd -bP macro $1";
+ my $eximinfo = "$parm_exim -C $parm_cwd/test-config -DDIR=$parm_cwd -bP macro $2";
open (IN, "$parm_cwd/confs/0000") ||
tests_exit(-1, "Couldn't open $parm_cwd/confs/0000: $!\n");
@@ -4069,10 +4069,10 @@ DIR: for (my $i = 0; $i < @test_dirs; $i++)
close(OUT);
system($eximinfo . " >/dev/null 2>&1");
- if ($? != 0) {
- unlink("$parm_cwd/test-config");
+ if (!defined $1 && $? != 0 || defined $1 && $? == 0) {
$wantthis = 0;
- $_ = "feature $1";
+ unlink("$parm_cwd/test-config");
+ $_ = "$1feature $2";
last;
}
unlink("$parm_cwd/test-config");